
#include "es_global.H"

es_global::es_global(int dim, fitnessfct *fct, int mu, int lambda, 
		     double delta, int generations, int whichmut) 
  : es(dim,fct,mu,lambda, delta,generations,whichmut) {
  globaldelta = delta;
  kids_counter = 0;
  goodones = 0;
}

es_global::~es_global() {

}

void es_global::preparemutation(ind* individual) {
  individual->setdelta(globaldelta);
}

void es_global::updateglobal(double fit_parent, double fit_kid) {

  kids_counter++;
  if (fit_kid < fit_parent)
    goodones++;

  if (goodones == the_lambda) {
    if ((1.0*goodones) > (1.0*the_lambda)/5.0 ) {
      globaldelta /= 0.85;
    } else {
      if ((1.0*goodones) < (1.0*the_lambda)/5.0 ) {
	globaldelta *= 0.85;
      }
    }
  }
  goodones = 0;
  kids_counter = 0;

}
