#include "ind_global.H"
#include "myrandom.h"

ind_global::ind_global(int dim, fitnessfct *fct) 
  : ind(dim, fct)
{
  deltanotyetset = 1;
}

ind_global::~ind_global()
{
  ;
}

ind_global *ind_global::clone()
{
  int i;
  ind_global *result;

  result = new ind_global(mydim, myfct);
  for (i=0; i< mydim; i++) {
    result->objvars[i] = objvars[i];
  }
  result->nofitnessyet = nofitnessyet;
  result->fitnessvalue = fitnessvalue;
  result->delta = delta;
  return result;
}

void ind_global::mutate()
{
  int i;

  if (deltanotyetset) {
    fprintf(stderr,"Mutation called without initialized delta\n");
  } else {

    /* Mutation der Objektvariablen */
    for (i=0; i<mydim; i++) {
      objvars[i] += delta * randgaussian();
    }
    nofitnessyet = 1;
  }
}

void ind_global::setdelta(double d)
{
  delta = d;
  deltanotyetset = 0;
}


