#include <math.h>
#include "sphere_ff.H"


#define ARG_LB -30.0
#define ARG_UB  30.0

sphere_ff::sphere_ff(int tmp_dimension) {
  mydim = tmp_dimension;
}

sphere_ff::~sphere_ff() {
  ;
}

int sphere_ff::getdimension() {
  return mydim;
}

double sphere_ff::get_arg_lb() {
  return ARG_LB;
}

double sphere_ff::get_arg_ub() {
  return ARG_UB;
}

double sphere_ff::computefitness(double *argvals) {
  double first_sum;
  double second_sum;
  int i;

  first_sum = 0.0;
  second_sum = 0.0;
  for (i=0; i<mydim; i++) {
    first_sum += argvals[i] * argvals[i];
  }

  return first_sum;
}


