#include "ESglobal.H"

ESglobal::ESglobal(int dim, double lb, double ub, fitnessfct *fct) 
  : ESindividual(dim, lb, ub, fct)
{
  deltanotyetset = 1;
}

ESglobal::~ESglobal()
{
  ;
}

ESglobal *ESglobal::clone()
{
  int i;
  ESglobal *result;

  result = new ESglobal(mydim,mylb, myub, myfct);
  for (i=0; i< mydim; i++) {
    result->objvars[i] = objvars[i];
  }
  result->nofitnessyet = nofitnessyet;
  result->fitnessvalue = fitnessvalue;
  result->delta = delta;
  return result;
}

void ESglobal::mutateobjvars()
{
  objmutation(delta);
}

void ESglobal::setdelta(double d)
{
  delta = d;
  deltanotyetset = 0;
}

void ESglobal::writedeltas(FILE *f)
{
  fprintf(f,"%f\n",delta);
}
