
#ifndef _ES_H_
#define _ES_H_

#include "fitnessfct.H"
#include "ind.H"

class es {
protected:
  ind **parents;        /* Feld mit den Eltern */
  ind **kids;           /* Feld mit den Kindern */

  fitnessfct *the_fitnessfct;  /* Zeiger auf die Fitnessfunktion */
  int     the_mu;          /* Anzahl der Eltern */
  int     the_lambda;      /* Anzahl der Kinder */
  double  the_delta;       /* Anfaengliches Delta */
  int     the_generations;  /* Anzahl der Generationen */

  /* Bereitet ggf. die Mutation eines Individuums mit globalen Groessen vor */
  virtual void preparemutation(ind* individual);

  /* Nutzt den resultierenden Fitnesswert, um globale Groessen zu aktualisieren */
  virtual void updateglobal(double fit_parent, double fit_kid);

public:
  es(int dim, fitnessfct *fct, int mu, int lambda, 
     double delta, int generations, int whichmut);
  ~es();

  /* Lasse eine Generation laufen */
  void run();
};

#endif
